### Method

# Camel FilterDriver set_play_sound_func

#### Declaration [src]

    void
    camel_filter_driver_set_play_sound_func (
      CamelFilterDriver* d,
      CamelFilterPlaySoundFunc func,
      gpointer user_data
    )

#### Description [src]

Sets a callback to call when a play of a sound is requested.

#### Parameters

`func`

  Type: `CamelFilterPlaySoundFunc`

  A callback to play a sound.

`user_data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.